print('Введите строку')  #1.	Ввести строку, вывести на экран только слова, имеющие заданную длину.
s = input()
l = int(input())  #рауф как дела твоип
w = s.split()
for i in w:
    if len(i) == l:
        print(i)